%define upstream_name    Module-Load
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Runtime require of both modules and files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
load eliminates the need to know whether you are trying to require either a
file or a module.

If you consult perldoc -f require you will see that require will behave
differently when given a bareword or a string.

In the case of a string, require assumes you are wanting to load a file. But in
the case of a bareword, it assumes you mean a module.

This gives nasty overhead when you are trying to dynamically require modules at
runtime, since you will need to change the module notation (Acme::Comment) to a
file notation fitting the particular platform you are on.

load elimates the need for this overhead and will just DWYM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Wed Sep 30 2020 tv <tv> 0.360.0-1.mga8
+ Revision: 1631280
- update to 0.36

* Fri Feb 14 2020 umeabot <umeabot> 0.340.0-2.mga8
+ Revision: 1522996
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Feb 14 2019 tv <tv> 0.340.0-1.mga7
+ Revision: 1367012
- update to 0.34

* Wed Sep 19 2018 umeabot <umeabot> 0.320.0-6.mga7
+ Revision: 1269459
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.320.0-5.mga6
+ Revision: 1030149
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.320.0-4.mga6
+ Revision: 946544
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.320.0-3.mga5
+ Revision: 739455
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.320.0-2.mga5
+ Revision: 685456
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.320.0-1.mga5
+ Revision: 596797
- update to 0.32

* Mon Feb 10 2014 jquelin <jquelin> 0.300.0-1.mga5
+ Revision: 587976
- update to 0.30

* Mon Oct 21 2013 umeabot <umeabot> 0.240.0-2.mga4
+ Revision: 537317
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.240.0-1.mga4
+ Revision: 486822
- update to 0.24

* Wed Mar 27 2013 jquelin <jquelin> 0.220.0-4.mga3
+ Revision: 405510
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-3.mga3
+ Revision: 369911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 0.220.0-2.mga2
+ Revision: 162822
- take priority over module bundled with perl 5.14.2

* Thu Oct 13 2011 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 154260
- update to 0.22
- update to 0.20

* Fri Feb 18 2011 jquelin <jquelin> 0.180.0-5.mga1
+ Revision: 53628
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.180.0-4.mga1
+ Revision: 30850
- mageia rebuild
- imported package perl-Module-Load

